Upstream information

CVE-2021-33516 at MITRE

Description

An issue was discovered in GUPnP before 1.0.7 and 1.1.x and 1.2.x before 1.2.5. It allows DNS rebinding. A remote web server can exploit this vulnerability to trick a victim's browser into triggering actions against local UPnP services implemented using this library. Depending on the affected service, this could be used for data exfiltration, data tempering, etc.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.1 9.4
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact None Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1186590 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • libgupnp-1_2-0 >= 1.2.2-3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2021-2153
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • libgupnp-1_2-0 >= 1.2.2-3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2021-2153
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • libgupnp-1_0-4 >= 1.0.2-3.3.1
  • libgupnp-1_0-4-32bit >= 1.0.2-3.3.1
  • libgupnp-1_2-0-32bit >= 1.2.2-3.3.1
  • libgupnp-devel >= 1.2.2-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-2015
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-2153
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • libgupnp-1_0-4 >= 1.0.2-3.3.1
  • libgupnp-1_0-4-32bit >= 1.0.2-3.3.1
  • libgupnp-1_2-0-32bit >= 1.2.2-3.3.1
  • libgupnp-devel >= 1.2.2-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2015
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2153
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
  • libgupnp-devel >= 1.2.2-3.3.1
  • typelib-1_0-GUPnP-1_0 >= 1.2.2-3.3.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP2-2021-2153
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP3
  • libgupnp-devel >= 1.2.2-3.3.1
  • typelib-1_0-GUPnP-1_0 >= 1.2.2-3.3.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2021-2153
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libgupnp-1_0-4 >= 0.20.18-8.3.1
  • libgupnp-devel >= 0.20.18-8.3.1
  • typelib-1_0-GUPnP-1_0 >= 0.20.18-8.3.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-2080
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libgupnp-1_0-4 >= 0.20.18-8.3.1
Patchnames:
SUSE-SLE-WE-12-SP5-2021-2080
SUSE Linux Enterprise Workstation Extension 15 SP2
  • typelib-1_0-GUPnP-1_0 >= 1.2.2-3.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP2-2021-2153
SUSE Linux Enterprise Workstation Extension 15 SP3
  • typelib-1_0-GUPnP-1_0 >= 1.2.2-3.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP3-2021-2153
openSUSE Leap 15.2
  • gupnp-debugsource >= 1.2.2-lp152.2.3.1
  • libgupnp-1_2-0 >= 1.2.2-lp152.2.3.1
  • libgupnp-1_2-0-32bit >= 1.2.2-lp152.2.3.1
  • libgupnp-1_2-0-32bit-debuginfo >= 1.2.2-lp152.2.3.1
  • libgupnp-1_2-0-debuginfo >= 1.2.2-lp152.2.3.1
  • libgupnp-devel >= 1.2.2-lp152.2.3.1
  • typelib-1_0-GUPnP-1_0 >= 1.2.2-lp152.2.3.1
Patchnames:
openSUSE-2021-917
openSUSE Leap 15.3
  • libgupnp-1_2-0 >= 1.2.2-3.3.1
  • libgupnp-1_2-0-32bit >= 1.2.2-3.3.1
  • libgupnp-devel >= 1.2.2-3.3.1
  • typelib-1_0-GUPnP-1_0 >= 1.2.2-3.3.1
Patchnames:
openSUSE-SLE-15.3-2021-2153


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 gupnp Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 gupnp-igd Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 gupnp Released
SUSE Linux Enterprise Software Development Kit 12 SP5 gupnp Released
SUSE Linux Enterprise Workstation Extension 12 gupnp Released
SUSE Linux Enterprise Workstation Extension 12 gupnp-igd Not affected
SUSE Linux Enterprise Workstation Extension 15 SP2 gupnp Released
SUSE Linux Enterprise Workstation Extension 15 SP2 gupnp-igd Not affected
SUSE Linux Enterprise Workstation Extension 15 SP3 gupnp Released
SUSE Package Hub 15 gupnp Released